Package: org.grails.encoder

## [Java] Class EncodesToWriterAdapter

- org.grails.encoder.EncodesToWriterAdapter

- All Implemented Interfaces and Traits:
    EncodesToWriter

      public class EncodesToWriterAdapter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EncodesToWriterAdapter (StreamingEncoder encoder)`
    `EncodesToWriterAdapter (StreamingEncoder encoder, boolean ignoreEncodingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `EncodesToWriter` | `createChainingEncodesToWriter(java.util.List<StreamingEncoder> additionalEncoders, boolean applyAdditionalFirst)`
    `` | `static EncodesToWriterAdapter` | `createChainingEncodesToWriter(StreamingEncoder baseEncoder, java.util.List<StreamingEncoder> additionalEncoders, boolean applyAdditionalFirst)`
    `` | `protected EncodingState` | `createNewEncodingState(Encoder encoder, EncodingState encodingState)`
    `` | `void` | `encodeToWriter(java.lang.CharSequence str, int off, int len, java.io.Writer writer, EncodingState encodingState)`
    `` | `void` | `encodeToWriter(char[] buf, int off, int len, java.io.Writer writer, EncodingState encodingState)`
    `` | `StreamingEncoder` | `getStreamingEncoder()`
    `` | `boolean` | `isIgnoreEncodingState()`
    `` | `void` | `setIgnoreEncodingState(boolean ignoreEncodingState)`
    `` | `protected boolean` | `shouldEncodeWith(Encoder encoderToApply, EncodingState encodingState)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public EncodesToWriterAdapter(StreamingEncoder encoder)

    - #### public EncodesToWriterAdapter(StreamingEncoder encoder, boolean ignoreEncodingState)

  - ### Method Detail

    - #### @java.lang.Override public EncodesToWriter createChainingEncodesToWriter(java.util.List<StreamingEncoder> additionalEncoders, boolean applyAdditionalFirst)

    - #### public static EncodesToWriterAdapter createChainingEncodesToWriter(StreamingEncoder baseEncoder, java.util.List<StreamingEncoder> additionalEncoders, boolean applyAdditionalFirst)

    - #### protected EncodingState createNewEncodingState(Encoder encoder, EncodingState encodingState)

    - #### @java.lang.Override public void encodeToWriter(java.lang.CharSequence str, int off, int len, java.io.Writer writer, EncodingState encodingState)

    - #### @java.lang.Override public void encodeToWriter(char[] buf, int off, int len, java.io.Writer writer, EncodingState encodingState)

    - #### public StreamingEncoder getStreamingEncoder()

    - #### public boolean isIgnoreEncodingState()

    - #### public void setIgnoreEncodingState(boolean ignoreEncodingState)

    - #### protected boolean shouldEncodeWith(Encoder encoderToApply, EncodingState encodingState)